use vulkano::device::DeviceFeatures;
use vulkano_util::context::{VulkanoConfig, VulkanoContext};

pub fn make_render_config() -> VulkanoConfig {
    let device_features: DeviceFeatures = DeviceFeatures {
        dynamic_rendering: true,
        ..DeviceFeatures::empty()
    };
    
    VulkanoConfig {
        device_features,
        print_device_name: true,
        ..Default::default()
    }
}

pub fn make_render_context() -> VulkanoContext {
    VulkanoContext::new(make_render_config())
}
